/**************************************
 * THEME NAME: ubcv
 *
 * Files included in this sheet:
 *
 *   ubcv/styles_layout.css
 *   ubcv/styles_fonts.css
 *   ubcv/styles_color.css
 **************************************/

/***** ubcv/styles_layout.css start *****/

/*******************************************************************
 styles_layout.css

 This CSS file contains all layout definitions like positioning,
 floats, margins, padding, borders etc.

 Styles are organised into the following sections:
  core
  forms
  header
  footer

  admin
  blocks
  blog
  calendar
  course
  doc
  grades
  login
  message
  notes
  mymoodle
  question
  tabs
  tags
  user

  various modules

*******************************************************************/


/***
 *** Core
 ***/

h1.main,
h2.main,
h3.main,
h4.main,
h5.main,
h6.main {
  text-align: center;
}

#layout-table {
  width:100%;
  border-collapse:separate;
  margin-top: 8px;
}

#layout-table #left-column,
#layout-table #middle-column,
#layout-table #right-column
{
  vertical-align:top;
}

#layout-table #left-column
{
  padding-left:5px;
}

#layout-table #right-column {
  padding-right:5px;
}


#layout-table #middle-column {
  padding-left:12px;
  padding-right:12px;
}

.clearer {
  clear:both;
  margin:0;
  padding:0;
  height:1px;
  border:none;
  background:transparent;
  display:block;
}

.clearfix {
  min-width: 0;
  /* overflow: hidden; */
}

.clearfix:after {
  content: "."; 
  display: block; 
  height: 0; 
  clear: both; 
  visibility: hidden;
}

/*.clearfix {display: inline-table;}*/

/* Hides from IE-mac \*/
* html .clearfix {height: 1%;}
.clearfix {display: block;}
/* End hide from IE-mac */

.mdl-align {
  text-align: center;
}

.continuebutton {
  text-align: center;
}

form {
  margin-bottom:0;
}

table {
  border-spacing: 0;
  border-collapse: collapse;
}

a img {
  border:none;
}

img.userpicture,
img.grouppicture {
  border: 0;
}

#grouppicture {
  text-align: center;
}

#addmembersform table {
  margin-left: auto;
  margin-right: auto;
}

.notifyproblem {
  text-align: center;
  padding: 10px;
}

.notifysuccess {
  text-align:center;
  padding: 10px;
}

.notifytiny {
  text-align:left;
  padding: 0;
}

.singlebutton form,
.singlebutton div {
  display:inline;
}
	
.generalbox {
  border-width:1px;
  border-style:solid;
  margin-bottom: 15px;
  padding:10px;
}

.generalbox#intro {
  width:70%;
  margin-left:auto;
  margin-right:auto;
  padding-bottom:15px;
}

.boxaligncenter {
  margin-left:auto;
  margin-right:auto;
}

.boxalignright {
  margin-left:auto;
  margin-right:0;
}

.boxalignleft {
  margin-left:0;
  margin-right:auto;
}

.boxwidthnarrow {
  width: 30%
}

.boxwidthnormal {
  width: 50%
}

.boxwidthwide {
  width: 80%
}

.centerpara {
  text-align:center
}

.noticebox {
  border-width:1px;
  border-style:solid;
  padding:10px;
}

#notice.generalbox {
  width: 60%;
  margin-left:auto;
  margin-right:auto;
}

#notice .buttons {
  text-align:center
}

#notice .buttons div,
#notice .buttons form {
  display:inline;
}

#notice .singlebutton {
  text-align:center;
  padding: 5px;
  margin: 0px;
}

.errorbox {
  border-width:1px;
  border-style:solid;
  margin: 1em 15%;
  width: 70%;
  padding:10px;
}

.errorbox .title {
  padding: 5px;
}

.informationbox {
  border-width:1px;
  border-style:solid;
  padding: 10px;
}

.feedbackbox {
  border-width:1px;
  border-style:solid;
}

.feedbackby {
}

.feedback {
}

.generaltable {
  border-width: 1px;
  border-style: solid;
}

.generaltable .cell {
  border-width: 1px;
  border-style: solid;
  border-collapse: collapse;
}

#participationreport .reporttable {
  text-align: center;
  margin-left:auto;
  margin-right:auto;
}

#participationreport {
  text-align: center;
}

#participationreport .modulename {
  font-weight: bold;
}

#participationreportselector {
  text-align: center;
}

#participationreportactions {
  text-align: center;
}

.initialbar {
  text-align: center;
}

#help .indent {
  margin-left:3em;
}

.closewindow,
#help .helpindex {
  text-align: center;
}

.tabledivider {
  border-width:1px;
  border-style:solid;
  border-left:0;
  border-right:0;
  border-top:0;
}

.sitetopic {
  margin-bottom:20px;
}

.sitetopiccontent {
  border-width:1px;
  border-style:solid;
}

.pagingbar {
  text-align:center;
}

.pagingbar a {
  padding-left: 10px;
}

.pagingbar .thispage {
  padding-left: 10px;
}

table.formtable {
  margin: auto;
}

table.formtable tbody th {
  vertical-align: top;
}

table.formtable tbody td,
table.formtable tbody th
{
  padding: 5px;
}

table.formtable tbody .htmlarea td,
table.formtable tbody .htmlarea th
{
  padding: 0;
}

.flexible th
{
  white-space: nowrap;
}

.paging {
  text-align: center;
  margin: 10px 0 10px 0;
}

.unread {
  padding-right:2px;
}

.cell {
  vertical-align: top;
}

.helplink img {
  vertical-align: middle;
  margin: 0 2px;
  width: 17px;
  height: 17px;
}

img.emoticon {
  vertical-align: middle;
  width: 15px;
  height: 15px;
}

form.popupform,
form.popupform div {
  display: inline;
}

form.popupform label {
  margin-right: 0.5em;
}

.arrow_button {
  margin-top:3em;
}

.arrow_button input {
  padding:0.3em;
  overflow:hidden;
}

.groupmanagementtable td {
  vertical-align: top;
}

.groupmanagementtable p {
  text-align: center;
}

.groupmanagementtable select {
  width: 18em;
}
img.icon {
  vertical-align:middle;
  margin-right:4px;
  width:16px;
  height:16px;
  border:0px;
}

img.iconsmall {
  vertical-align:middle;
  margin-right:1px;
  width:11px;
  height:11px;
  border:0px;
}

img.iconhelp {
  vertical-align:middle;
  margin-right:4px;
  width:17px;
  height:17px;
  border:0px;
}

img.iconkbhelp {
  width:49px;
  height:17px;
  border:0px;
}

/*Accessibility: text 'seen' by screen readers but not visual users. Fixed for RTL languages, example Farsi. */
.accesshide {
  position:absolute;
  top:-1000px;
  left:10px;
  font-weight:normal;
  font-size:1em;
}

.invisiblefieldset {
  display:inline;
  border:0px;
  padding:0px;
  margin:0px;
}

span.hide,
div.hide {
  display:none;
}

/***
 *** Forms
 ***/

.mform {
  margin: 0 auto;
  padding: 0;
  width: 80%;
}
.mform fieldset {
  border: 1px solid #739fc4;
  padding: 10px 0;
  margin: 0.7em 0;
  width:100%;
}
.mform fieldset.hidden, .mform fieldset.felement {
  border: 0;
}
.mform fieldset.felement {
  width: auto;
}
.mform fieldset legend {
  font-weight: bold;
  margin-left: 0.5em;
}
.mform fieldset .advancedbutton{
   width:100%;
   text-align:right;
}
.mform div.fitem {
  clear: both;
  width: 100%;
  min-height: 1.5em;
}

.mform .fitemtitle {
  display: block;
  float: left;
  width: 30%;
  padding: 0;
  margin: 5px 0 0 10px;
  text-align: right;
}

.mform .fitemtitle div{
  display: inline;
}

div.fitem fieldset.fgroup label, div.fradio label,  div.fcheckbox label,
fieldset.fdate_selector label {
  display:inline;
  float: none;
  width: auto;
}

.mform div.felement,  .mform fieldset.felement{
  display: block;
  float: left;
  margin: 5px 0 0 10px;
  padding: 0;
  text-align:left;
  width: 60%;
}

.mform div.fdescription {
  clear: both;
  min-height: 1.5em;
}

.mform .fdescription.required {
  text-align:right;
}

.mform input, .mform select {
  width: auto;
}
.mform ftextarea {
}
.mform br {
  clear: left;
}
.mform div.fhtmleditor {
  margin: 0 auto 10px auto;
  width : 610px;
  clear:both;
  float:none;
  padding: 25px 0 20px 0;
}
.mform span.error, .mform span.required {
  color: red;
}
.mform div.error,.mform fieldset.error {
  border: 1px solid red;
  padding: 5px;
  color: inherit;
}

/*
.mform label .req, .mform label .adv {
  cursor: help;
}
*/
.mform .fcheckbox input {
  margin-left: 0px;
}
.mform .fpassword .reveal {
  display:inline;
}

.mform .fpassword .reveal input {
  margin-left:5px;
  margin-right:3px;
}

form#adminsettings div.htmlarea {
  clear: left;
  padding-top: 5px;
}

.mform label .req, .mform label .adv {
  cursor: help;
}

#admin-register .mform .fsubmit {
  padding:20px;
  text-align:center;
}

div.phpinfo .center{
  text-align: center;
}

div.phpinfo .center table {
  margin-left: auto;
  margin-right: auto;
  text-align: left;
}

div.phpinfo .center th {
  text-align: center;
}
	
/***
 *** Header
 ***/

.headerskip {
  position:absolute;
  right:20em;
  font-size:0.8em;
}

#header-home {
}

#header {
}
/*
.headermain {
  float:left;
}
*/

.headermain, h1.headermain {
  float:left;
  margin:0;
  padding:0;
}

div.headermenu 
{
	position: absolute;
	top: 20px;
	right: 20px;
}

.navigation li,
.navigation div,
.navigation button,
.navigation form {
  display: inline;
}

/*div.logoub
{
	position: absolute;
	top: 12px;
	right: 45%;
	width: 151px;
}*/
.navbar {
  width:100%;
  padding:3px 0.5em;
  border-width:0px;
  border-style:solid;
}

.navbar .langmenu {
  text-align:right;
}
div.navbar {
  width: auto;
}

table.navbar {
  width: 100%;
}

.navbar .navbutton form {
  float: left;
  margin-right: 3px;
}

.navbar .navbutton div,
.navbar .navbutton form {
  display:inline;
  margin:0px;
  padding:0px;
}

.navbar .breadcrumb {
  float:left;
  margin:0.2em 0;
}

.breadcrumb ul {
  padding:0;
  margin:0;
  text-indent:0;
  list-style:none;
}
.breadcrumb li {
  display:inline;
}

.navbar .navbutton,
.navbar .menu {
  float:right;
}

#footer .navbar {
  margin-top: 4em;
}

.reportlink {
  text-align:right;
}

.navigation ul {
  margin:0px;
  padding:0px;
  list-style-type:none;
}

.navigation ul li form,
.navigation ul li {
  display:inline;
  margin:0px;
  padding:0px;
  margin-left:2px;
}

.navigation optgroup {
  text-align:center;
  padding-top:4px;
}

.navigation option {
  text-align:left;
}

.navigation optgroup option {
  padding:0px;
}

/***
 *** Footer
 ***/

#footer {
  text-align:center;
  margin-top: 10px;
}

.homelink {
  margin: 1em 0;
}

.homelink a {
  padding-left:1em;
  padding-right:1em;
}

.performanceinfo {
  margin: 2em;
}

.performanceinfo span {
  display: block;
}

#footer .validators {
  margin-top:40px;
  padding-top:5px;
  border-top: 1px dotted gray;
}

#footer .validators ul {
  margin:0px;
  padding:0px;
  list-style-type:none;
}

#footer .validators ul li {
  display:inline;
  margin-right:10px;
  margin-left:10px;
}

/***
 *** Filters
 ***/
span.mediaplugin {
  display:block;
  clear:both;
  margin-top:5px;
  margin-bottom:5px;
}

span.mediaplugin_mp3 {
  display:inline;
  clear:none;
  margin:0px;
  margin-left:0.5em;
}


/***
 *** Admin
 ***/

body#admin-index .c0 {
  vertical-align: top;
}

body#admin-index .c1 {
  vertical-align: middle;
}

body#admin-blocks table.generaltable th,
body#admin-filters table.generaltable th,
body#admin-modules table.generaltable th,
body#admin-auth table.generaltable th
{
  white-space: nowrap;
}

body#admin-modules .generaltablecell
{
  padding-top: 2px;
  padding-bottom: 2px;
} 
/*
body#admin-blocks table#blocks,
body#admin-blocks table#incompatible {
  width: 70%;
  margin: auto;
}
*/

body#admin-blocks table.generaltable th,
body#admin-blocks table.generaltable td.cell,
body#admin-filters table.generaltable th,
body#admin-filters table.generaltable td.cell,
body#admin-modules table.generaltable th,
body#admin-modules table.generaltable td.cell,
body#admin-auth table.generaltable th,
body#admin-auth table.generaltable td.cell
{
  padding: 4px;
  text-align: center;
  vertical-align: middle;
}

body#admin-blocks table.generaltable th.c0,
body#admin-blocks table.generaltable td.c0,
body#admin-filters table.generaltable th.c0,
body#admin-filters table.generaltable td.c0,
body#admin-modules table.generaltable th.c0,
body#admin-modules table.generaltable td.c0,
body#admin-auth table.generaltable th.c0,
body#admin-auth table.generaltable td.c0
{
  text-align: left;
}

body#admin-modules table.generaltable td.c0
{
  white-space: nowrap;
}

#admin-blocks
#admin-config .confighelp {
  display: block;
  padding-bottom: 20px;
}

#admin-roles-manage table.generalbox {
  margin: auto;
}

#admin-stickyblocks .generalbox {
  text-align:center;
}

#admin-index .copyrightnotice {
  margin: auto;
  text-align: center;
}

#admin-report-simpletest-index .exception pre {
  padding: 8px;
}

#admin-report-simpletest-index .unittestsummary {
  padding: 8px;
  margin-top: 1em;
}

#admin-roles-allowassign .buttons,
#admin-roles-allowoverride .buttons,
#admin-roles-manage .buttons,
#admin-roles-override .buttons {
  margin: 20px;
  text-align:center;
}

#admin-roles-manage .buttons .singlebutton,
#admin-roles-override .buttons .singlebutton {
  display: inline;
  padding: 5px;
}

#admin-roles-manage .selector,
#admin-roles-override .selector {
  text-align:center;
}

#admin-roles-manage table.roledesc,
#admin-roles-override table.roledesc {
  margin-left:auto;
  margin-right:auto;
}

#admin-roles-manage table.rolecap,
#admin-roles-override table.rolecap {
  margin-left:auto;
  margin-right:auto;
}

.rolecap .inherit,
.rolecap .allow,
.rolecap .prevent,
.rolecap .prohibit {
  text-align:center;
}

#admin-roles-manage .rolecap .cap-desc .cap-name,
#admin-roles-override .rolecap .cap-desc .cap-name {
  display: block;
}

#admin-roles-override .cell.c1,
#admin-roles-assign .cell.c1 {
  padding-top: 0.75em;
}

#admin-lang .generalbox {
  text-align:center;
  margin:auto;
  border-width: 1px;
  border-style: solid;
}

#admin-langimport .generalbox {
  text-align:center;
  margin:auto;
  border-width: 1px;
  border-style: solid;
}

#admin-langimport .generalbox table {
  text-align:center;
  margin:auto;
}

#admin-index .adminwarning {
  text-align:center;
  border-width: 1px;
  border-style: solid;
  margin:20px;
}

#admin-index .adminwarning .singlebutton,
#admin-index #layout-table .singlebutton {
  text-align:center;
  margin:20px;
}

#adminsettings fieldset {
  margin-top: 1em;
  padding: 1em 0.5em;
}
 
#adminsettings legend {
  display: none;
}
 
#adminsettings .form-group {
  float: left;
}
 
#adminsettings .form-item {
  margin: 0;
}
 
/*#adminsettings label {
  display: block;
  float: left;
  width: 150px;
  text-align: right;
}*/
 
#adminsettings .form-shortname {
  display: block;
}
 
#adminsettings select,
#adminsettings input {
  float: left;
  margin: 0 0 0 10px;
}
 
#adminsettings textarea {
  float: left;
  margin: 0 0 0 10px;
  width: 65%;
}
 
#adminsettings .form-group select,
#adminsettings .form-group input {
  display: inline;
  float: none;
}
 
/* #adminsettings .admin-configtime .form-select {
  display: inline;
  float: none;
}
 
#adminsettings div.admin-frontpage div.form-group select.form-select {
  display: inline;
  float: none;
} */
 
#adminsettings .description {
  clear: both;
  margin: 0 1em 0 160px;
  padding: 0.3em 0 1.5em 0;
}

.environmentbox {
  margin-top: 1em;
}

.form-buttons {
  margin: 10px 0 0 160px;
}
 
.form-text {
  width: 20em;
}
.form-textarea { }
.form-select { }
.form-checkbox { }
.form-radio { }
.form-submit { }
.form-reset { }
 
.admin-frontpagedesc .htmlarea {
  margin: 0 auto 10px auto;
  width : 600px;
}

.adminsearchform {
  padding-top:10px;
}

.block_admin_tree .admintree {
  text-align:left;
}

#admin-lang .translator {
  border-width: 1px;
  border-style: solid;
}

#adminsettings #admin-calendar_weekend table {
  width: 100%;
}

#adminsettings #admin-calendar_weekend table td {
  text-align: center;
}

#adminsettings #admin-calendar_weekend table td label {
  width: 100%;
  text-align: center;
  float: none;
}






















/***
 *** Blocks
 ***/

/*Accessibility: Skip block link, for screen reader users. */
a.skip-block, .skip-block {
  display:block;
  width:2em; 
  height:1px;
}
.sideblock .skip-block {
  height:4px;
}
.skip-block-to {
  font-size:1px;
}

/*
.sideblock li .icon img {
  width:16px;
  height:16px;
}

ul.list, ul.list li, ol.list, ol.list li {
  list-style-type:none;
  padding:0;
  margin:0;
  text-indent:0;
} 

.sideblock .content h3,
.sideblock .content h2 {
  text-align: left;
}

.sideblock .content h2 {
  margin:1.5em 0 0;
  padding:0;
}
*/
.sideblock {
  margin-bottom:1em;
  width: 100%;
  border-top: 1px solid #2D412B;
	border-right: 1px solid #2D412B;
	border-bottom: 2px groove #000000;
	border-left: 1px solid #2D412B;
}

.sideblock .header, .sideblock h2.header {
  text-align: left;
  margin:0;
  padding:2px;
/*  padding-bottom:0%;*/
  padding-top:0;
  border-width: 1px;
  border-style: solid;
  border-bottom: none;
}
.sideblock h2 {
  margin:0;
  padding:0.5pt;
}

.sideblock .hide-show a {
  border:0px;
}

.sideblock .header .hide-show {
  float:right;
}

.sideblock .header .hide-show img.hide-show-image {
  height:11px;
  width:11px;
  margin-top:0.25em;
}

.sideblock .header .commands {
  margin-top: 0.3em;
  clear: both;
  height: 16px;
  padding: 0px 0px 4px
}

.sideblock .header .commands a {
  margin: 0px 2px;
}
/*
.sideblock .content {
  padding: 4px;
  border-width: 1px;
  border-style: solid;
}

.sideblock .content hr {
  height:1px;
  margin-top:4px;
  margin-bottom:4px;
  border:none;
  border-top:1px solid;
}*/

#left-column .hidden .header,
#right-column .hidden .header
{
  border-bottom-width: 1px;
  border-bottom-style: solid;
}

#left-column .hidden .content,
#right-column .hidden .content
{
  display: none;
}

.sideblock .header .icon.hide,
.sideblock .header .icon.edit {
  margin-right: 6px;
}

.sideblock .content {
  padding: 4px;
  border-width: 1px;
  border-style: solid;
}

.sideblock .content h3,
.sideblock .content h2 {
  text-align: left;
}

.sideblock .content h2 {
  margin:1.5em 0 0;
  padding:0;
}

.sideblock .content .head {
  margin-top: 10px;
}

.sideblock .content hr {
  height:1px;
  margin-top:4px;
  margin-bottom:4px;
  border:none;
  border-top:1px solid;
}

.sideblock div.column {
  margin:0px;
  margin-right:4px;
  padding:0px;
}

.sideblock div.column.c0 {
  float: left;
}

.sideblock div.column.c1 {
  display: inline;
}

.sideblock .content .c0 img.icon {
  margin:0px;
}

.sideblock .content .list, .unlist, .inline-list {
  list-style:none;
  padding:0;
  margin:0;
}

.sideblock .content .list {
  width: 100%;
}

.sideblock .content .list li {
  clear: left;
}

.sideblock .content .inline-list li {
  display:inline;
}

.sideblock .content ul.list li.listentry {
  clear:both;
}

.sideblock .content div.info {
  text-align:center;
}

.sideblock .footer {
  margin-bottom: 4px;
  text-align:center;
  clear:both;
}

.sideblock img.userpicture {
  width:16px;
  height:16px;
  margin-right:4px;
}

.blockconfigtable {
  margin-top: 0;
}

.blockconfigtable td.label {
  text-align: right;
  width: 50%;
}

.blockconfigtable td.value {
  text-align: left;
  width: 50%;
}

.blockconfigtable td.submit {
  text-align: center;
}

.blockconfiginstancecontent .tabs {
  margin-bottom: 0px;
}

.block_messages .content {
  text-align:left;
  font-size:0.75em;
  padding-top:5px;
}

.block_recent_activitysideblock .h3 {
  padding-top:5px;
}

.block_online_users .listentry div.user,
.block_messages .listentry div.user {
  float:left;
}

.block_online_users .listentry div.message,
.block_messages .listentry div.message {
  float:right;
}

.block_course_list .footer {
  margin-top: 5px;
}

#rssfeeds {
  margin-left: auto;
  margin-right: auto;
}

#block_rss {
  text-align: center;
}

.block_search_forums .invisiblefieldset {
  display: block;
}










/***
 *** Blogs
 ***/
.addbloglink {
  text-align: center;
}

.blogpost .audience {
  text-align: right;
}

.blogpost .tags {
  margin-top: 15px;
}


/***
 *** Calendar
 ***/

#calendar {
  width: 100%;
  border-spacing: 5px;
  border-collapse: separate;
}

#calendar h2,
#calendar h3
{
  text-align: center;
}

#calendar .maincalendar,
#calendar .sidecalendar
{
  vertical-align: top;
  border: 1px solid;
  padding: 0px;
}

#calendar .maincalendar {
  height: 100%;
}

#calendar .maincalendar .heightcontainer {
  height: 100%;
  position: relative;
}

#calendar .maincalendar .bottom {
  width: 100%;
  position: absolute;
  bottom: 0;
  text-align: center;
}

#calendar .sidecalendar {
  width: 25%;
}

#calendar .maincalendar table.calendarmonth {
  border-collapse: separate;
  margin: 0px auto;
  width: 98%;
}

#calendar .maincalendar table.calendarmonth th {
  padding:10px;
  border-bottom:2px solid;
}

#calendar .maincalendar table.calendarmonth td {
  height: 5em;
  padding-left: 4px;
  padding-top: 4px;
  line-height:1.2em;
}

#calendar .maincalendar table.calendarmonth td,
table.minicalendar td,
table.minicalendar th {
  width:14%;
  vertical-align:top;
}
table.minicalendar td {
  text-align: center;
}
#calendar .maincalendar table.calendarmonth td table td {
  height: auto;
}

#calendar div.header
{
  padding: 5px;
}

#calendar .maincalendar .buttons {
  float: right;
}

#calendar .maincalendar .filters table,
#calendar .sidecalendar .filters table,
.sideblock.block_calendar_month .filters table
{
  border-collapse:separate;
  border-spacing: 2px;
  padding: 2px;
  width: 100%;
}

#calendar .maincalendar .filters {
  padding: 0px 10px;
}

#calendar .sidecalendar .filters {
  padding: 5px;
}

#calendar .maincalendar .controls {
  clear:both;
  padding:10px;
}

#calendar .maincalendar table.calendarmonth ul.events-new,
#calendar .maincalendar table.calendarmonth ul.events-underway
{
  padding:0px;
  margin:0px;
  list-style-type:none;
}

#calendar .maincalendar table.calendarmonth ul li {
  margin-top: 4px;
}

.minicalendarblock {
  padding: 0px 4px;
}

table.minicalendar {
  width: 100%;
  margin: 10px auto;
  padding:2px;
  border-width:1px;
  border-style:solid;
  border-collapse:separate;
  border-spacing:1px !important;
}

table.minicalendar th {
  padding: 0px 2px;
}

#calendar .maincalendar .eventlist {
  padding: 10px;
}

#calendar .maincalendar .eventlist .topic {
  padding: 5px;
  border-style:solid;
  border-width: 0px;
  border-bottom-color: #EEEEEE;
  border-bottom-width: 1px;
}

#calendar .maincalendar .eventlist .event {
  width:100%;
  margin-bottom:10px;
  border-spacing:0px;
  border-collapse:separate;
  border-width:1px;
  border-style:solid;
}

#calendar .maincalendar .eventlist .event .name {
  float:left;
}

#calendar .maincalendar .eventlist .event .course {
  float:left;
  clear:left;
}

#calendar .maincalendar .eventlist .event .date {
  float:right;
}

#calendar .maincalendar .eventlist .event .description .commands {
  width:100%;
}

#calendar .maincalendar .eventlist .event .description {
  padding:5px;
}

#calendar .maincalendar .eventlist .event .picture {
  padding:8px;
}

#calendar .maincalendar .eventlist .event .side {
  width:32px;
}

#calendar #selecteventtype table {
  margin:auto;
}

#calendar .event_global,
#calendar .event_course,
#calendar .event_group,
#calendar .event_user,
.minicalendar .event_global,
.minicalendar .event_course,
.minicalendar .event_group,
.minicalendar .event_user {
  border:2px solid !important;
}

#calendar .duration_global,
#calendar .duration_course,
#calendar .duration_group,
#calendar .duration_user,
.minicalendar .duration_global,
.minicalendar .duration_course,
.minicalendar .duration_group,
.minicalendar .duration_user
{
  border-top:2px solid !important;
  border-bottom:2px solid !important;
}

#calendar .today,
.minicalendar .today {
  border:2px solid;
}
  
.cal_popup_bg {
  padding:0px;
  margin:0px;
  border:1px solid;
}

.cal_popup_close {
  margin-right:5px;
}

.cal_popup_caption {
  border-width:0px 0px 1px 0px;
  border-style:solid;
  padding-bottom:2px;
}

/*Accessibility: controls now div and span, 20:58:20% or 12:74:12% */
.calendar-controls .previous,
.calendar-controls .next
{
  width: 12%;
}
.calendar-controls .previous {
  text-align: left;
}
.calendar-controls .current {
  text-align: center;
}
.calendar-controls .next {
  text-align: right;
}
span.previous, span.current, span.next {
  display: block;
  float: left;
}
span.current {
  width: 76%;
}

#calendar .maincalendar .calendar-controls .previous,
#calendar .maincalendar .calendar-controls .next
{
  width: 30%;
}
#calendar .maincalendar .calendar-controls .current {
  width: 40%;
}

#calendar .indent {
    padding-left: 20px;
}

/***
 *** Course
 ***/

.activitydate, .activityhead {
  text-align:center;
}

#course-view .section td {
  vertical-align:top;
}

#course-view .section td.content {
  padding:5px;
  border-style:solid;
  border-width:1px;
  border-left:0px;
  border-right:0px;
}

#course-view .section td.side {
  padding:5px;
  border-style:solid;
  border-width:1px;
}

#course-view .section td.left {
  border-right:0px;
  text-align:center;
  width: 1.5em;
}

#course-view .section td.right {
  border-left:0px;
  text-align:center;
  width: 1.5em;
}

#course-view .current .side {
}

#course-view .section .spacer {
  height:0.5em;
}

#course-view .section .weekdates {
}

#course-view ul.section,
#site-index ul.section {
  margin: 0;
  padding: 0;
  list-style: none;
}

.section_add_menus {
  text-align:right;
}

.section_add_menus .horizontal div {
  display:inline;
}

/*#course-view ul.section li.activity ul li, 
#site-index ul.section li.activity ul li { 
  list-style: disc; 
}
*/
/*Accessibility: No-tables course format. */
#course-view ul.weekscss {
  margin: 0;
  padding: 0;
  list-style: none;
}
/* Window-width: 800 pixels.
   IE doesn't support, see inline IE conditional comment. */
.weekscss-format {
  min-width: 763px;
}
.weekscss-format .block_adminblock select,
.weekscss-format .block_calendar_month .minicalendar {
  width: 100%;
  padding: 0;
}
.weekscss-format .block_calendar_month .minicalendar th,
.weekscss-format .block_calendar_month .minicalendar td {
  padding: 0.1em 0 0.1em 1px;
}
.weekscss-format #middle-column {
  margin: 0 12.5em 0 12.5em;
}
.weekscss-format #left-column,
.weekscss-format #right-column {
  width: 11.5em;
}
.weekscss-format #left-column {
  float: left;
}
.weekscss-format #right-column {
  float: right;
}
.weekscss li.section {
  margin-bottom: 0.5em;
  border-style:solid;
  border-width:1px;
}
.weekscss .content,
.weekscss .side {
  padding: 5px;
}
.weekscss .content {
  margin: 0 1.7em 0 1.7em;
}
.weekscss .right {
  width: 1.6em;
  float: right;
  text-align:center;
}

.section .activity img.activityicon {
  vertical-align:middle;
  height:16px;
  width:16px;
}

.section img.movetarget {
  height:16px;
  width:80px;
}

body#course-view .unread {
  margin-left: 3em;
}

body#course-view .sideblock.drag .header {
  cursor: move;
}

body#course-enrol .generalbox {
  margin-top: 20px;
}

body#course-enrol .coursebox {
  margin-top: 20px;
}

body#course-user .graph {
  text-align: center;
}

body#course-user .section,
body#course-user .content {
  margin-left: 30px;
  margin-right: 30px;
}

body#course-user .section {
  border-width:1px;
  border-style:solid;
  padding:10px;
  margin-bottom: 20px;
}

body#course-user .section h2 {
  margin-top: 0;
}


.headingblock {
  border-top: 1px solid #a2bed8;
  border-right: 1px solid #a2bed8;
  border-bottom: 1px solid #a2bed8;
  border-left: 1px solid #a2bed8;
  padding:6px;
}

h2.headingblock {
  border: 0px;
  padding:6px;
}

#site-index .subscribelink,
#course-view .subscribelink {
  text-align:right;
}

body#site-index .headingblock,
body#course-view .headingblock {
  margin-bottom: 9px;
}

body#course-category .courseboxes,
body#course-index .courseboxes {
  padding:20px;
}

body#course-index #middle-column .editcourse {
  margin-left:auto;
  margin-right:auto;
  margin-top:20px;
  margin-bottom:20px;
}

body#course-index #middle-column .editcourse th,
body#course-index #middle-column .editcourse td {
  padding-left:10px;
  padding-right:10px;
}

body#course-index #middle-column .editcourse .count {
  text-align:right;
}

body#course-index .singlebutton,
body#course-index .addcategory {
  text-align: center;
}

body#course-info .generalbox.icons {
  text-align: center;
}

body#course-info .generalbox.info {
  margin-left:auto;
  margin-right:auto;
}

.coursebox {
  width: 100%;
  /* float:left; */
  margin-bottom: 15px;
  border-width:1px;
  border-style:solid;
}

.coursebox .summary {
  float: right;
  text-align:left;
  width: 48%;
  padding:5px;
}

.coursebox .info {
  float: left;
  text-align:left;
  width: 48%;
  padding:5px;
}

#my-index .coursebox .info {
  float: none;
}

#my-index .name {
  margin-left: 5px;
}

.categorylist {
  width:90%;
  margin-left:auto;
  margin-right:auto;
}

.categorylist .category.image {
  width:20px;
}

.categorylist .category.number {
  text-align:right;
}

.categoryboxcontent {
  border-width:1px;
  border-style:solid;
}

.categorypicker {
  text-align:center;
  padding-bottom:10px;
}

#coursesearch,
#coursesearch2 {
  text-align:center;
}

.addcoursebutton {
  text-align:center;
}

.coursebox .cost {
  padding-top: 20px;
}

.coursebox ul.teachers li {
  list-style-type:none;
  padding:0;
  margin:0;
}

#course-category #renameform {
  text-align:center;
}

#course-category .singlebutton {
  text-align:center;
}

#course-category #coursesearch {
  text-align:center;
}


#course-report #content {
  padding-top:15px;
  padding-bottom:15px;
}

#course-report p {
  text-align:center;
}

#course-report .logselectform,
#course-report .participationselectform,
#course-report-log-index .logselectform,
#course-report-participation-index .participationselectform {
  margin-left:auto;
  margin-right:auto;
  text-align:center;
  margin-top:10px;
  margin-bottom:10px;
}

#course-report .participationselectform label,
#course-report-participation-index .participationselectform label {
  margin-left:15px;
  margin-right:5px;
}

#course-report-log-index .info {
  margin-left:auto;
  margin-right:auto;
  text-align:center;
  margin:10px;
}

#content .coursebox .summary .category {
  text-align:right;
}

#course-editsection .singlebutton {
  text-align:center;
}

/***
 *** Group
 ***/
body#group-index #groupeditform {
  text-align: center;
}


/***
 *** Doc
 ***/

body#doc-contents h1 {
  margin: 1em 0px 0px 0px;
}

body#doc-contents ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  width: 90%;
}


/***
 *** Grades
 ***/

body#grade-index .grades {
  border-width:1px;
  border-style:solid;
  border-collapse: separate;
}

body#grade-index .grades td {
  border-width:0 1px 0 1px;
  border-style:solid;
  border-collapse: collapse;
}

body#grade-index .grades .header {
  vertical-align: top;
}

body#grade-index .grades .points,
body#grade-index .grades .percent,
body#grade-index .grades .weighted {
  text-align: right;
}

.backup-form-instances {
   margin:0px 20px 0px 20px;
}
.restore-form-instances {
   margin:0px 20px 0px 20px;
}

/***
 *** Login
 ***/

.loginbox {
  margin-top:15px;
  margin-bottom:15px;
  border:1px solid;
  width:90%;
  margin-left:5%;
  overflow:hidden;
}

.loginbox form {
  margin:0px;
  padding:0px;
}

.loginbox.twocolumns {
  width:90%;
  margin-left:5%;
  /* background: #faa; */
}

.loginbox h2,
.loginbox .subcontent {
  margin:5px;
  padding:10px;
  text-align:center;
}

.loginbox .loginpanel .subcontent {
  text-align:center;
}

.loginbox .loginpanel .desc {
  margin:0px;
  padding:0px;
  margin-bottom:5px;
}

.loginbox .signuppanel .subcontent {
  text-align:left;
}

.loginbox .loginsub {
  margin-left:0%;
  margin-right:0%;
}

.loginbox .guestsub,
.loginbox .forgotsub {
  border-top:1px solid;
  margin-left:12%;
  margin-right:12%;
  margin-bottom:5px;
}

.loginbox .loginform {
  margin-top:1em;
  text-align:left;
}

.loginbox .loginform .form-label {
  float:left;
  text-align:right;
  width:40%;
}

.loginbox .loginform .form-input {
  float:right;
  width:59%;
}

.loginbox .loginform .form-input input {
  width: 6em;
}

.loginbox .signupform {
  margin-top:1em;
  text-align:center;
}

.loginbox.twocolumns .loginpanel {
  float:left;
  width:49.5%;
  border-right: 1px solid;
  margin-bottom:-2000px;
  padding-bottom:2000px;
  /* background: #afa; */
}

.loginbox.twocolumns .signuppanel {
  float:right;
  width:50%;
  margin-bottom:-2000px;
  padding-bottom:2000px;
}


/***
 *** Message
 ***/


#message-user .userpicture,
#message-history .userpicture {
  width: 100px;
  height: 100px;
}

.message-discussion-noframes #userinfo .userpicture {
  float:left;
}

.message-discussion-noframes #userinfo .name h1 {
  margin:0px;
}

.message-discussion-noframes #userinfo .name {
  text-align:center;
  margin-left:60px;
}

.message-discussion-noframes #userinfo .commands {
  text-align:left;
  margin-left:60px;
}

.message-discussion-noframes #userinfo .commands ul {
  margin:0px;
  padding:0px;
  list-style-type:none;
}

.message-discussion-noframes #userinfo .commands ul li {
  display:inline;
  padding-right:16px;
}

.message-discussion-noframes #send {
  padding-top:10px;
  clear:both;
}

.message-discussion-noframes #send h1 {
  margin:0px;
}

.message-discussion-noframes #messages {
  padding-top:10px;
}

.message-discussion-noframes #messages ul.messagelist {
  margin:0px;
  padding:0px;
}

.message-discussion-noframes #send h1 {
  margin:0px;
}

.message .noframesjslink {
  margin-top:20px;
}

.message .link {
  vertical-align:middle;
}

table.message .searchresults td {
  padding:5px;
  border-width:1px;
  border-style:solid;
  border-collapse:collapse;
  border-spacing:0px;
}
.message .summary .link {
  text-align:right;
}
.message .heading {
  text-align:center;
}

.message .note {
  text-align:center;
  padding:10px;
}

#message-user .commands span {
  margin-left:10px;
  margin-right:10px;
}

body#message-messages {
  padding:10px;
}


/***
 *** MyMoodle
 ***/

.my .coursebox .overview .info {
  margin-left:20px;
}

.my .coursebox .overview {
  margin-bottom:10px;
}


/***
 *** Question
 ***/
.questionbank h2 {
  margin-top: 0;
}

.que {
  width: 90%;
  text-align: left;
  margin: 10px auto 15px auto;
  border: 1px solid;
  clear: both;
}
.que .info {
  float: left;
  margin: 5px;
  width: 8%;
}
.que .grade {
  margin-top: 0.5em;
}
.que .content {
  float: right;
  margin: 5px;
  width: 88%;
}
.que .qtext {
  margin-bottom: 1.5em;
}
.que .ablock {
  margin: 0.7em 0 0.3em 0;
}
.que .prompt {
  float: left;
  width: 15%;
  height: 2em;
  padding-top: 0.3em;
}
.que .control {
  width: 5%;
}
.que .answer {
  float: left;
  width: 83%;
  margin-bottom: 0.5em;
}
.que .submit {
  position: relative;
  clear: both;
  float: left;
}
/* MSIE Hack */
* html .que .submit {
  float: none;
}
.multianswer .submit {
  margin-top: 1em;
}
.que .c0,
.que .c1 {
  padding: 0.3em 0 0.3em 0.3em;
  vertical-align: top;
}
.que .feedback {
  clear: both;
/*  float: right;*/
  width: 83%;
  padding: 0 0 0.3em 0.3em;
  border: 1px solid;
}
.multianswer .feedback {
  width: auto;
  border-style: none;
}
.multichoice td.feedback {
  width: auto;
  vertical-align: top;
  padding-top: 0.3em;
  border-style: none;
}
.essay .feedback {
  border-style: none;
}
.multichoice .text {
  width: auto;
}
.calculated .answer,
.numerical .answer,
.shortanswer .answer,
.truefalse .answer {
  padding: 0.3em 0 0.3em 0.3em;
}
calculated .answer input,
.numerical .answer input,
.shortanswer .answer input {
  width: 85%;
}
.truefalse .answer span {
  float: left;
  clear: left;
  padding: 0.2em 0;
}
.que .grading,
.que .comment,
.que .commentlink,
.que .generalfeedback,
.que .history {
  float: right;
  margin: 5px;
  width: 88%;
}

.importerror {
  margin-top: 10px;
  border-bottom: 1px solid #555;
}

/***
 *** Logs
 ***/

.logtable {
  margin-left:auto;
  margin-right:auto;
}

.logtable td,
.logtable th {
  padding-left: 10px;
  padding-right: 10px;
}

.logtable th {
  text-align:left;
}

#course-user .info {
  margin-left:auto;
  margin-right:auto;
  text-align:center;
  margin:10px;
}

/***
 *** Tabs
 ***/


/*globalnav*/
.tabtree {
  position:relative;
}

.tabrow0 {
  text-align: center;
  width:100%;
  padding:0 0 1.75em 0;
  margin:0;
  list-style:none;
  line-height:1.7em;
  font-size: 84%;
}

.tabrow0 li {
  display: inline;
  margin: 0 -4px 0 0;
  padding: 0;
}

.tabrow0 a span {
  padding: 10px 14px 0.35em 0;
  background: transparent url(pix/tab/right.gif) no-repeat right top;
}

.tabrow1 li a span {
  background: none !important;
}

.tabrow0 a {
  text-decoration: none;
  background: transparent url(pix/tab/left.gif) no-repeat left top;
  margin: 1px 0px 1px 0px;
  padding: 10px 0 0.35em 13px;
}

.tabrow0 a:hover {
  background-image: url(pix/tab/left_hover.gif);
}

.tabrow0 .here a:hover {
  background-image: url(pix/tab/left.gif);
}

.tabrow0 a:hover span {
  background-image: url(pix/tab/right_hover.gif);
}

.tabrow0 .here a:hover span {
  background-image: url(pix/tab/right.gif);
}

.tabrow0 .here a {
  color:#444;
}


.tabrow0 .here a:link, .tabrow0 .here a:visited {
  position:relative;
  z-index:102;
}

/*subnav*/
.tabrow0 .empty {
  height: 3px;
  overflow: hidden;
  padding: 0;
}

.tabrow0 div,
.tabrow0 ul {
  position: absolute;
  left: 0;
  top: 2.0em;
  width: 100%;
  margin: 0;
  padding: 0.25em 0;
  list-style: none;
  border-top: 1px solid #b2cde1;
  line-height: normal;
  background: transparent url(pix/tab/tabrow1.gif) repeat-x center left;
  font-size: 90%;
}

.tabrow0 ul li {
  display:inline;
  margin-top:1px;
  background-image: none;
}

.tabrow0 ul a {
  background-image: none;
  color:#39546B;
  margin:0;
  padding:0 1em;
  border:0
}

.tabrow0 ul a span {
  padding: 0;
  background-image: none;
}

.tabrow0 ul .last span,
.tabrow0 ul li a:hover, .tabrow0 ul li a:hover span,
.tabrow0 ul .here a:hover, .tabrow0 ul .here a:hover span {
  background-image: none !important;
}

.tabrow0 ul div {
  display: none;
}

ul.tabrow1 li a,
ul.tabrow1 li a:link,
ul.tabrow1 li a:visited {
  color:#39546B;
  font-size: 110%;
}

ul.tabrow1 li.here.selected a {
  color:#444;
}

/***
 *** User
 ***/

.userinfobox {
  margin-bottom:5px;
  border-width: 1px;
  border-style: solid;
  border-collapse: separate;
}

.userinfobox .left,
.userinfobox .side {
  padding: 10px;
  width: 100px;
  vertical-align: top;
}

.userinfobox .userpicture {
  width: 100px;
  height: 100px;
}

.userinfobox .content {
  padding: 10px;
  vertical-align: top;
}

.userinfobox .links {
  width: 100px;
  padding: 5px;
  vertical-align: bottom;
}

.userinfobox .list td {
  padding: 3px;
}

.userinfobox .username {
  padding-bottom: 20px;
}

.userinfobox td.label {
  text-align:right;
  white-space: nowrap;
  vertical-align: top;
}

table.userinfobox {
  width: 80%;
  margin-left: 10%;
  margin-right: 10%;
}

table.groupinfobox {
  width: 60%;
  margin-left: 20%;
  margin-right: 20%;
  border-width:1px;
  border-style:solid;
  margin-bottom: 20px;
}

.groupinfobox .left {
  padding: 10px;
  width: 100px;
  vertical-align: top;
}

body#user-index h2 {
  text-align: center;
}

#user-view .buttons,
#user-index .buttons {
  text-align: center;
}

#user-view .buttons form,
#user-view .buttons form div {
  display:inline;
}

body#user-index #longtimenosee,
body#user-index #showall {
  text-align: center;
}

body#user-index #showall {
  margin: 10px 0px;
}

body#user-index table#participants {
  margin: auto;
  width: 80%;
}
body#user-index table#participants td,
body#user-index table#participants th {
  vertical-align: middle;
  text-align: left;
  padding: 4px;
}

body#user-index table.controls {
  width: 100%;
}
body#user-index table.controls tr {
  vertical-align: top;
}
body#user-index table.controls td.right,
body#user-index table.controls td.left {
  padding: 4px;
}
body#user-index table.controls .right {
  text-align: right;
}
body#course-participation h2 {
  text-align:center;
}
body#course-participation #showall {
  text-align:center;
  margin: 10px 0px;
}
body#user-index .rolesform {
  text-align:center;
}

#user-policy .noticebox {
  text-align:center;
  margin-left:auto;
  margin-right:auto;
  margin-bottom:10px;
  width:80%;
  height:250px;
}

#user-policy #policyframe {
  width:100%;
  height:100%;
}
/***
 *** Modules: Assignment
 ***/

.userpicture,
.picture user,
.picture teacher {
  width:35px;
  vertical-align:top;
}
.modform {
  text-align:center;
}
 
/***
 *** Modules: Chat
 ***/

.nextchatsession {
  text-align:center;
}

#mod-chat-gui_header_js-jsupdate {
  margin:10px
}
#mod-chat-gui_header_js-jsupdate .chat-event,
#mod-chat-gui_header_js-jsupdate .chat-message {
  width:100%;
  padding:0;
  margin-top:7px
}

#mod-chat-view #chatcurrentusers .chatuserdetails {
  vertical-align: middle;
}

#mod-chat-view #enterlink {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

.chat-event .picture,
.chat-message .picture {
  width:40px;
  vertical-align:top;
}
.chat-event .text,
.chat-message .text {
  text-align: left;
}

#mod-chat-gui_basic #participants ul {
  margin:0px;
  padding:0px;
  list-style-type:none;
}

#mod-chat-gui_basic #participants ul li {
  display:inline;
  margin-right:10px;
}

#mod-chat-gui_basic #participants ul li .userinfo {
  display:inline;
}

#mod-chat-gui_basic #messages dl {
  padding:0px;
  margin:1px;
}

#mod-chat-gui_basic #messages dd,
#mod-chat-gui_basic #messages dt {
  margin-left:0px;
  margin-right:5px;
  padding:0px;
  display:inline;
}

/***
 *** Modules: Choice
 ***/
.button {
  text-align:center;
}

.attemptcell {
  width:5px;
  white-space: nowrap;
}

.anonymous,
.names {
  margin-left:auto;
  margin-right:auto;
}

.downloadreport {
  border:0px;
  margin-left:auto;
  margin-right:auto;
}

.choiceresponse {
  width:100%;
}
.choiceresponse .picture {
  width:10px;
  white-space: nowrap;
}

.choiceresponse .fullname {
  width:100%;
  white-space: nowrap;
}


.results.data {
  vertical-align:top;
  white-space: nowrap;
}

/***
 *** Modules: Forum
 ***/

.forumheaderlist,
.forumpost {
  border-width:1px;
  border-style:solid;
  border-collapse:separate;
}

.forumpost {
  margin-top: 15px;
  margin-left: 8px;
  margin-right: 8px;
}

.forumpost .topic {
  padding: 4px;
  border-style:solid;
  border-width: 0px;
  border-bottom-width: 1px;
}

.forumpost .commands {
  padding-top: 0.5em;
  text-align:right;
  clear: both;
}

.forumpost .ratings {
  padding-top: 1em;
  text-align:right;
}

.forumpost .attachments {
  padding: 7px;
  text-align:right;
}

.forumpost .content {
  padding: 4px;
}

.forumpost .footer {
  padding-top: 0.5em;
  text-align:right;
}

.forumpost .link {
  padding-top: 0.5em;
  text-align:right;
}

.forumpost .left {
  width: 35px;
  padding: 4px;
  text-align: center;
  vertical-align: top;
}

.mod-forum .indent {
  margin-left: 30px;
}

body#user-view .forumpost,
.course .forumpost {
  width: 100%;
}

body#mod-forum-search .c0 {
  text-align: right;
}

body#mod-forum-search .introcontent {
  padding: 15px;
}

.forumolddiscuss {
  text-align: right;
}

.forumheaderlist {
  width: 100%;
}

.forumheaderlist td {
  border-width:1px 0px 0px 1px;
  border-style:solid;
}

.forumheaderlist .replies {
  text-align: center;
  white-space: nowrap;
}

.forumheaderlist .picture {
  width: 35px;
}

.forumheaderlist .discussion .starter {
  vertical-align: middle;
}

.forumheaderlist .lastpost {
  white-space: nowrap;
  text-align: right;
}

.forumheaderlist .discussion .author {
  white-space: nowrap;
}
.forumolddiscuss {
  text-align:right;
}
.forumaddnew,
.forumnodiscuss,
.noticeboxcontent {
  text-align:center;
}

#mod-forum-view .forumcontrol .groupmenu {
  float: left;
  text-align:left;
  white-space: nowrap;
}

#mod-forum-view .forumcontrol .subscription {
  float: right;
  text-align:right;
  white-space: nowrap;
}

#mod-forum-index .subscription {
  float: right;
  text-align:right;
  white-space: nowrap;
}

#mod-forum-view .unread {
  padding-left: 3px;
  padding-right: 3px;
}
#mod-forum-discuss .forumpost.unread .content {
  border-style: solid;
  border-width: 2px;
}
#mod-forum-discuss .ratingsubmit {
  text-align:center;
  padding:10px;
}
#mod-forum-index .unread img,
#mod-forum-view .unread img
{
  margin-left: 5px;
}

#mod-forum-discuss .discussioncontrols td {
  width: 33%;
  text-align:center;
}

#email .unsubscribelink {
  margin-top:20px;
  border-width: 0px 1px 0px 0px;
  border-style: solid;
  text-align:center;
}


/***
 *** Modules: Glossary
 ***/

.glossarypost .commands {
  width: 200px;
  white-space: nowrap;
}

#mod-glossary-comments .glossarypost,
#mod-glossary-comment .glossarypost {
  margin-top: 15px;
}

.entryboxheader {
  border-width: 1px 1px 0px 1px;
  border-style: solid;
}

.entrybox {
  width: 100%;
  border-width: 1px 1px 1px 1px;
  border-style: solid;
}

.entrybox hr {
  border-left:none;
  border-right:none;
}

.glossarypost {
  width: 95%;
  border-width:1px;
  border-style:solid;
  border-collapse:separate;
  margin-left:auto;
  margin-right:auto;
  margin-bottom: 5px;
  text-align: left;
}

.entrylist {
  border-width:0px;
}

.entrylowersection {
  padding-top: 10px;
}

.entrylowersection table{
  width: 100%;
}

.entrylowersection .aliases {
  text-align:center;
}

.entrylowersection .icons,
.entrylowersection .ratings {
  text-align:right;
  padding-right: 5px;
}

.entrylowersection .ratings {
  padding-bottom: 2px;
}

.glossarycategoryheader {
  width: 95%;
  margin-left:auto;
  margin-right:auto;
}

.glossaryformatheader {
  width: 90%;
}

.glossarypost .entry {
  padding: 3px;
}

.glossarypost .picture {
  width: 35px;
}

.glossarycomment {
  border-width:1px;
  border-style:solid;
  border-collapse:separate;
  margin-bottom: 5px;
  text-align: left;
}

.glossarycomment .entry {
  padding: 3px;
}

.glossarycomment .picture {
  width: 35px;
}

.glossarycomment .icons {
  text-align: right;
}

.glossarydisplay {
  width: 90%;
  margin-left:auto;
  margin-right:auto;
  text-align:center;
}

.glossarydisplay .tabs {
  width: 100%;
}

.glossarydisplay .separator {
  width: 4px;
}

.glossarydisplay .tabs .selected,
.glossarydisplay .tabs .inactive,
.glossarydisplay .tabs .general {
}

.glossaryimportexport {
  margin-left:auto;
  margin-right:auto;
  text-align:center;
}

.glossarypopup {
  width: 95%;
}

.glossaryapproval {
  width: 100%;
}

.mod-glossary .glossarydisplay .tabs {
  margin-bottom: 0px;
}

.mod-glossary .glossarydisplay .tabs .side {
  border-style: none;
  border-width: 0px;
  width: auto;
}

.glossaryexplain,
.glossaryaddentry {
  text-align: center;
}

.mod-glossary .tabrow0 {
  padding-bottom: 5px;
}

#mod-glossary-view .glossarycontrol {
float: right;
text-align:right;
white-space: nowrap;
}

/***
 *** Modules: Journal
 ***/
#mod-journal-view .lastedit,
#mod-journal-view .editend {
  margin: 5px;
  text-align: center;
}
#mod-journal-view .feedbackbox {
  width: 75%;
  border-collapse: separate;
}
#mod-journal-view .entrycontent {
  padding: 3px;
}
#mod-journal-view .picture {
  width: 35px;
}
#mod-journal-view .grade {
  text-align: right;
}
#mod-journal-view .info {
  margin-bottom: 5px;
  text-align: right;
}


/***
 *** Modules: Label
 ***/

/***
 *** Modules: Lesson
 ***/
#mod-lesson-lesson #page .addform {
  text-align: center;
}
#mod-lesson-edit #page .label {
  font-weight: bold;
}
#mod-lesson-edit #page .labelcorrect {
  text-decoration: underline;
  font-weight: bold;
}
.lessonmediafilecontrol {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

/***
 *** Modules: Quiz
 ***/


#mod-quiz-attempt #page {
	text-align: center;
}
#mod-quiz-edit #page .controls,
#mod-quiz-edit #page .attemptsnotice
{
  text-align: center;
}
#mod-quiz-edit .quizquestions h2 {
  margin-top: 0;
}
#mod-quiz-edit #showbreaks {
  margin-top: 0.7em;
}
body#question-preview .quemodname,
body#question-preview .controls
{
  text-align: center;
}

#mod-quiz-report table#attempts,
#mod-quiz-report table#commands,
#mod-quiz-report table#itemanalysis
{
  width: 80%;
  margin: auto;
}
#mod-quiz-report table#attempts {
  margin: 20px auto;
}
#mod-quiz-report table#attempts .header,
#mod-quiz-report table#attempts .cell
{
  padding: 4px;
}
#mod-quiz-report table#attempts .header .commands {
  display: inline;
}
#mod-quiz-report table#attempts .picture {
  width: 40px;
}
#mod-quiz-report table#attempts td {
  border-left-width: 1px;
  border-right-width: 1px;
  border-left-style: solid;
  border-right-style: solid;
  vertical-align: middle;
}
#mod-quiz-report table#attempts .header {
  text-align: left;
}
#mod-quiz-report table#attempts .picture {
  text-align: center !important;
}
#mod-quiz-report .controls {
  text-align: center;
}

#mod-quiz-review #page .controls {
  text-align: center;
}
#mod-quiz-view .quizinfo {
  text-align: center;
}
#mod-quiz-view #page .quizgradefeedback,
#mod-quiz-view #page .quizattempt
{
  text-align: center;
}
.quizquestionlistcontrols {
  text-align: center;
}
body#question-preview .quemodname, body#question-preview .controls {
  text-align: center;
}
/***
 *** Modules: Resource
 ***/

#mod-resource-view .resourcecontent {
  text-align:center;
  margin:20px;
}

#mod-resource-view .resourcepdf {
  width: 100%;
  padding-top: 15px;
  text-align: center
}

#mod-resource-view .boxaligncenter table.files {
  margin-left: auto;
  margin-right: auto;
}

.resourcecontent object {
  height:480px;
  width:600px;
}

.resourcepdf object{
  height: 800px;
  width: 800px;
}

.mod-resource .modified {
  text-align:center;
}

.mod-resource .popupnotice {
  text-align:center;
  margin:40px;
}

.ims-nav-bar {
  position: relative; 
  padding:0.1em;
}

.ims-nav-button a,
.ims-nav-dimmed {
  padding-left:1em;
  padding-right:1em;
}

#ims-containerdiv {
  margin-top:0.2em;
}

#ims-menudiv {
  position:absolute;
  width:250px;
  overflow:auto;
}

#ims-menudiv ol {
  list-style-type:none;
  margin:0px;
  padding-left:1em;
}

#ims-contentframe {
  position:absolute;
  overflow:auto;
  left:260px;
  border:1px solid;
  width:640px;
  height:480px;
}

#ims-contentframe-no-nav {
  position:absolute;
  overflow:auto;
  border:1px solid;
  width:640px;
  height:480px;
}

#mod-resource-view div#footer {
  margin-top: 5px;
}

/***
 *** Modules: Scorm
 ***/

/***
 *** Modules: Survey
 ***/
.resultgraph {
  text-align:center;
  border:1px solid;
}

.reportsummary,
.studentreport,
.reportbuttons {
  text-align:center;
}

.centerpara {
  text-align:center;
}

.fullnamecell {
  width:10%;
  vertical-align:top;
  white-space: nowrap;
}

.questiontext {
  font-size:1em;
}

.smalltext {
  font-size: 0.75em;
}

#surveyform th {
  font-weight: normal;
  text-align: left;
}
#surveyform th.hresponse {
  text-align: center;
  width: 9%;
}

.rblock label {
  display: block;
  text-align: center;
}

.foundthat,
.preferthat {
  white-space: nowrap;
}

.qnummiddlecell {
  vertical-align:middle;
}

.optioncell {
  width: 50%;
  vertical-align: top;
}

.buttoncell {
  width:5%;
}

.questioncell {
  width:50%;
  vertical-align:top;
}

.whitecell {
  background-color:white;
}
/***
 *** Modules: Wiki
 ***/
.sideblockheading,
.howtowiki {
  text-align:right;
}

.wikisearchform,
.wikilinksblock,
wikiadminactions {
  text-align:center;
}

.wikilinkright{
  text-align:right;
  padding-bottom: 0.5em;
}

.wikiexportbox{
  margin-left:auto;
  margin-right:auto;
}
/***
 *** Modules: Workshop
 ***/
.redfont {
  color: red;
}

.workshopuploadform,
.workshopkey {
  text-align:center;
}
/***** ubcv/styles_layout.css end *****/

/***** ubcv/styles_fonts.css start *****/

/*******************************************************************
 styles_color.css
  
 This CSS file contains all font definitions like family, size,
 weight, text-align, letter-spacing etc.

 Styles are organised into the following sections:
  core
  header
  footer

  admin
  blocks
  calendar
  course
  doc
  grades
  login
  message
  mymoodle
  question
  tabs
  user

  various modules

*******************************************************************/


/***
 *** Core
 ***/

.clearer {
  font-size:1px;
}

body, td, th, li {
  font-family:Arial, Verdana, Helvetica, sans-serif;
  font-size:95%;
  letter-spacing:0.02em;
}

th {
  font-weight: bold;
}

a:link,
a:visited {
  text-decoration:none;
}

a:hover {
  text-decoration: underline;
}

h1.main,
h2.main,
h3.main,
h4.main,
h5.main,
h6.main {
  font-weight:bold;
}

h1 {
  font-size:1.7em;
}

h2 {
  font-size:1.4em;
}
h3 {
  font-size:1.1em;
}
h4 {
  font-size:1.0em;
}

.bold {
  font-weight:bold;
}

.warning {
  font-weight: bold;
  font-style: italic;
}

.errorbox .title {
  font-weight: bold;
  font-size: 1.2em;
  text-align: center;
}
.errorboxcontent {
  text-align: center;
}

.errorcode {
  font-size: 0.7em;
}

.notifytiny {
font-size: 0.5em;
}

.pagingbar .title {
  font-weight: bold;
}
.pagingbar .thispage {
  font-weight: bold;
}

.categorybox .category,
.categorybox .category {
  font-size:1.2em;
  font-weight:bold;
}

.helplink {
  font-size:0.8em;
}

.headingblock {
  font-weight: bold;
}

#site-index .subscribelink,
#course-view .subscribelink {
  font-size: 0.8em;
}

.files .file {
  font-size: 0.9em;
}

.files .folder {
  font-size: 0.9em;
}

.files .folder .size {
  font-weight: bold;
}

/*Accessibility: resizable icons. */

img.resize {
  width: 1em;
  height: 1em;
}

acronym, abbr {
  cursor: help;
}

a.useredit, a:hover.useredit, .blink {
  color: black;
  text-decoration: blink;
  cursor: help;
}
	
/***
 *** Header
 ***/

.headermain {
  font-weight:bold;
}

#header-home .headermain {
  font-size:0em;
}

#header .headermain {
  font-size:0em;
}

.breadcrumb {
  font-size:0.9em;
  font-weight:bold;
}

.logininfo,
#header-home .headermenu font {
  font-size:0.8em;
}

/* Accessibility: only certain fonts support Unicode chars like &#x25BA; in IE6 */
.breadcrumb .sep, .headermenu button,
.calendar-controls .previous, .calendar-controls .next,
.arrow_button input, .arrow_button button {
  font-family:Arial,Helvetica,Courier,'Arial Unicode MS',
  'Lucida Sans Unicode','Lucida Grande','GNU Unifont',unifont,sans-serif;
}

.navigation button {
  font-size: 80%;
}

/***
 *** Footer
 ***/

.homelink {
}


.performanceinfo {
  font-size: 0.6em;
}

#footer .validators {
  font-size: 0.8em;
}

/***
 *** Admin
 ***/

table.formtable tbody th {
  font-weight: normal;
  text-align: right;
}

body#admin-blocks table#incompatible td.c0 {
  font-weight: bold;
}

body#admin-index .explanation {
  font-size: 0.7em;
  vertical-align: bottom;
}

body#admin-index .copyright {
  text-align: center;
  font-size: 0.8em;
}

.environmenttable {
  font-size: 0.8em;
}

#admin-roles-manage .rolecap .cap-desc .cap-name,
#admin-roles-override .rolecap .cap-desc .cap-name {
  font-size: 0.75em;
}

#adminsettings .form-shortname {
  font-size: 0.75em;
}

#admin-roles-override .cell.c1,
#admin-roles-assign .cell.c1 {
  font-size: 0.7em;
}

#admin-lang .translator .strkey {
  font-size: 0.75em;
}

/***
 *** Blocks
 ***/
a.skip-block {
  text-decoration:none;
}

.sideblock img.resize,
.breadcrumb img.resize {
  width: 0.8em;
  height: 0.9em;
}
.sideblock .searchform img.resize {
  width: 1em;
  height: 1.1em;
}

.sideblock .header {
  font-size:0.9em;
  font-weight: normal;
}

.sideblock .content {
  font-size:0.9em;
  line-height:1.2em;
}

.sideblock .content h3,
.sideblock .content h2 {
  font-size:1.0em;
}

.sideblock .content .message {
  font-size:0.9em
}
.sideblock .header .commands {
  font-size:0.9em;
}

.sideblock .footer {
  font-size:0.9em;
}

.sideblock .head,
.sideblock .info,
.sideblock .event {
  font-size: 0.9em;
}

.sideblock .date {
  font-style: italic;
}

.block_site_main_menu .footer select {
  font-size: 0.8em;
}

.block_messages .content .listentry,
.block_online_users .content .listentry {
  font-size:0.75em
}

/***
 *** Blogs
 ***/

.blogpost .audience {
  font-size: 0.85em;
}
.blogpost .tags {
  font-size: 0.85em;
}

/***
 *** Calendar
 ***/

#calendar .sidecalendar abbr,
.block_calendar_month abbr {
  border: none;
}
#calendar .eventnone a,
.block_calendar_month .eventnone a {
  text-decoration:none;
  color:black;
  cursor:text;
}
#calendar .maincalendar .eventlist .event .referer {
  font-weight:bold;
}

#calendar .maincalendar .eventlist .event .course {
  font-size:0.8em;
}

#calendar .maincalendar .eventlist .event .description .commands {
  text-align: right;
}

#calendar .maincalendar table.calendarmonth td {
  font-size:0.8em;
}

#calendar div.header
{
  font-weight:bold;
}

#calendar .sidecalendar .filters {
  font-size:0.8em;
}

.sideblock .filters td {
  font-size:1.1em;
}

#calendar .maincalendar .controls {
  font-size:1.2em;
}

#calendar .maincalendar .day {
  font-weight: bold;
}

table.minicalendar {
  font-size:0.85em;
}

.cal_popup_caption {
  font-family:sans-serif;
  font-size:0.8em;
  font-weight:bold;
}

.cal_popup_close {
  font-family:sans-serif;
  font-size:0.8em;
  font-weight:bold;
}
#calendar .maincalendar .calendar-controls .current {
  font-weight: bold;
}


/***
 *** Course
 ***/
#course-view .section {
  font-size:0.95em;
  line-height:1.2em;
}

#course-view .section .activity {
  padding:0.2em 0;
}

#course-view .section .activity a {
  line-height:1em;
}

#course-view .section .left {
  font-weight:bold;
}

.activitydate, .activityhead {
  font-size:0.9em;
}

.weeklydatetext {
  font-size:0.9em;
  font-weight:bold;
}

.coursebox .info {
  font-size:1em;
}

.coursebox .teachers,
.coursebox .cost {
  font-size:0.9em;
}

.coursebox .summary {
  font-size:0.9em;
}

#course-recent h2.main {
  font-size:1.1em;
}
h2.headingblock {
  font-size:1.1em;
}

.section_add_menus optgroup {
  font-weight:normal;
  font-style: italic;
}


/***
 *** Doc
 ***/
body#doc-contents h1 {
  font-size: 0.9em;
}
body#doc-contents ul {
  font-size: 0.8em;
}


/***
 *** Grades
 ***/

body#grade-index .grades .header {
  font-weight: bold;
  font-size: 0.7em;
}

.grade-report-grader table {
font-weight: bold;
font-size:0.9em;
}



/***
 *** Login
 ***/

#login-index #content {
  font-size: 0.85em;
}


/***
 *** Logs
 ***/

.logtable td {
  font-size: 0.8em;
}
.logtable th {
  font-size: 0.9em;
}


/***
 *** Message
 ***/

.message-discussion-noframes #userinfo .name h1 {
  font-weight: bold;
  font-size:1em;
}

.message-discussion-noframes #userinfo .commands {
  font-size:0.8em;
}

.message-discussion-noframes #send h1 {
  font-size:1em;
}

.message .noframesjslink {
  font-size:0.8em;
}

.message-discussion-noframes #messages h1 {
  font-size:1em;
}

.message .link {
  font-size:0.8em;
}

.message_form {
  font-size:0.8em;
}

.message .heading {
  font-size:1.0em;
  font-weight:bold;
}

.message .date,
.message .contact,
.message .summary {
  font-size:0.9em;
}

.message .note, 
.message .pix {
  font-size:0.8em;
}

.message .author {
  font-weight: bold;
  font-size:0.8em;
}

.message .time {
  font-style: italic;
  font-size:0.8em;
}

.message .content {
  font-size:0.8em;
}

#message-user .commands span {
  font-size:0.7em;
  white-space:nowrap;
}

#message-user .name {
  font-weight: bold;
  font-size:1.1em;
}

/***
 *** MyMoodle
 ***/

.my .courseboxcontent .overview .info {
  font-size:0.7em;
}


/***
 *** Question
 ***/

.que .no {
  font-size: 1.2em;
  font-weight: bold;
}
.que .grade {
  font-size: 0.8em;
}
.que .history {
  font-size:75%;
}


/***
 *** Tabs
 ***/
/*
.tablink {
  font-size:0.8em;
}

.tablink a:hover {
  text-decoration: none;
}
*/

/***
 *** User
 ***/

.userinfobox .username {
  font-weight: bold;
}

.userinfobox .links {
  font-size: 0.7em;
}

.userinfobox td.label {
  font-weight: bold;
}

body#user-index #longtimenosee {
  font-size: 0.8em;
}

/***
 *** Modules: Assignment
 ***/

#mod-assignment-index .cell {
  font-size:0.8em;
}

/***
 *** Modules: Chat
 ***/

#mod-chat-index .cell {
  font-size:0.8em;
}

#mod-chat-gui_basic h1 {
  font-size:1.4em;
}

#mod-chat-gui_basic #participants .idle {
  font-size:0.6em;
}

#mod-chat-view #chatcurrentusers .chatuserdetails {
  font-size: 0.6em;  
}

/***
 *** Modules: Choice
 ***/

#mod-choice-index .cell {
  font-size:0.8em;
}
  
/***
 *** Modules: Forum
 ***/

.forumnodiscuss{
  font-weight:bold;
}
.forumpost .topic .subject {
  font-weight: bold;
}
.forumpost .topic .author {
  font-size: 0.8em;
}
.forumpost .commands,
.forumpost .link {
  font-size: 0.9em;
}
.forumheaderlist .discussion .lastpost {
  font-size: 0.7em;
}
body#mod-forum-search .introcontent {
  font-weight:bold;
}
body#mod-forum-index .generalbox .cell {
  font-size: 0.80em;
}



/***
 *** Modules: Glossary
 ***/

.glossarypost .commands {
  font-size: 0.8em;
}
.glossarypost .entryheader .author,
.glossarypost .entryheader .time {
  font-size: 0.8em;
}
.glossarypost .entryheader .time {
  font-style: italic;
}
.concept {
  font-weight: bold;
}
.glossarycomment .time {
  font-size: 0.8em;
  font-style: italic;
}
.entrylowersection .aliases {
  font-size: 0.8em;
}
.entrylowersection .icons,
.entrylowersection .ratings {
  font-size: 0.8em;
}

#mod-glossary-index .cell {
  font-size:0.8em;
}


/***
 *** Modules: Journal
 ***/
#mod-journal-view .lastedit,
#mod-journal-view .editend {
  font-size: 0.7em;
}
#mod-journal-view .author {
  font-size: 1em;
  font-weight: bold;
}
#mod-journal-view .time {
  font-size: 0.7em;
  font-style: italic;
}
#mod-journal-view .grade {
  font-weight: bold;
  font-style: italic;
}

#mod-journal-index .cell {
  font-size:0.8em;
}

/***
 *** Modules: Label
 ***/

/***
 *** Modules: Lesson
 ***/

#mod-lesson-index .cell {
  font-size:0.8em;
}

/***
 *** Modules: Quiz
 ***/

/*
.editorhelptext {
  font-size:0.7em;
}

#mod-quiz-index .cell {
  font-size:0.8em;
}

*/
/***
 *** Modules: Resource
 ***/

#mod-resource-index .cell {
  font-size:0.8em;
}

.mod-resource .modified {
  font-size:0.6em;
}
	
.ims-nav-dimmed,
.ims-nav-button {
  font-size:0.8em;
}

#ims-toc-selected {
  font-weight: bold;
}

#ims-menudiv {
  font-size:0.8em;
}

/***
 *** Modules: Scorm
 ***/

#mod-scorm-index .cell {
  font-size:0.8em;
}

/***
 *** Modules: Survey
 ***/

#mod-survey-index .cell {
  font-size:0.8em;
}

/***
 *** Modules: Wiki
 ***/

#mod-wiki-index .cell {
  font-size:0.8em;
}

/***
 *** Modules: Workshop
 ***/

#mod-workshop-index .cell {
  font-size:0.8em;
}

#thegroup, #thegrouping, #dummygrouping {
  font-size: 0.8em;
  letter-spacing: -0.01em;
  display: block;
}

/***
*** Phpinfo display
***/
.phpinfo table {
border-collapse: collapse;
}
.phpinfo .center {
text-align: center;
}
.phpinfo .e, .v, .h {
border: 1px solid #000000;
font-size: 0.8em;
vertical-align: baseline;
}
.phpinfo .e {
background-color: #ccccff;
font-weight: bold;
color: #000000;
}
.phpinfo .h {
background-color: #9999cc;
font-weight: bold; color: #000000;
}
.phpinfo .v {
background-color: #cccccc;
color: #000000;
}
/***** ubcv/styles_fonts.css end *****/

/***** ubcv/styles_color.css start *****/

/*******************************************************************
 styles_color.css
  
 This CSS file contains all color definitions like 
 background-color, font-color, border-color etc.

 Styles are organised into the following sections:

  core
  header
  footer

  admin
  blocks
  calendar
  course
  doc
  login
  message
  question
  tabs
  user

  various modules

*******************************************************************/

/***
 ***  Core
 ***/

a:link,
a:visited {
  color:#39546B;
}

a.dimmed:link,
a.dimmed:visited {
  color:#AAAAAA;
}

a:hover {
  color:#39546B;
}

a.autolink:link,
a.autolink:visited {
  color:#000000;
  background: #DDDDDD;
}

a.autolink.glossary:hover {
  cursor: help;
}

img.userpicture,
img.grouppicture {
  border-color:#000
}

.block_online_users .listentry img {
  border:#888
}

body {
  background-color:#dce7ec;
  border-color:#F7F7F7;
}

th.header,
td.header,
div.header {
  background-color:#739FC4;

}

.navbar {
  border-color:#739FC4;
}

table.formtable tbody th {
/*  background: none;*/
	background-color: transparent;
	background-image: none;
}

.highlight {
  background-color:#AAFFAA;
}

.highlight2 {
  color:#AA0000; /* highlight missing terms in forum search */
}

/* Alternate rows even */
.r0 {  
}

/* Alternate rows odd */
.r1 {  
}

/* notification messages (can be good or bad) */
.notifyproblem {
  color:#660000;
}
.notifysuccess {
  color:#006600;
}
.notifytiny {
  color:#000044;
}

#admin-auth_config .required {
  background-color:#ECF2F8;
}

/*.generalbox {
  border-color:#739FC4; 
  background-color:#ffffff;
}*/
.informationbox {
  border-color:#739FC4; 
}
.feedbackbox {
  border-color: #888888; 
}
.feedbackby {
  background-color:#BBBBBB;
}

.noticebox {
  border-color:#739FC4; 
}

.errorbox {
  color:#ffffff;
  border-color:#660000;
  background-color:#990000;
}

.errorboxcontent {
  background-color:#FFBBBB;
}

.tabledivider {
  border-color:#739FC4;
}

.sitetopic {
}

.sitetopiccontent {
  border-color:#739FC4;
  background-color:#FFFFFF;
}

.dimmed_text {
  color:#AAAAAA;
}

.teacheronly {
  color:#990000;
}

.unread {
  background: #FFD991;
} 

.censoredtext {
  color:#000000;
  background:#000000;
}


/* kept for backward compatibility with some non-standard modules
   which use these classes for various things */
.generaltab, .generaltabinactive {
  background-color:#BBBBBB;
}
.generaltabselected {
  background-color:#DDDDDD;
}
.generaltabinactive {
  color:#CCCCCC;
}


.generaltable .cell {
  background-color:#FFFFFF;
  border-color:#EEEEEE; 
}

.generaltable {
  border-color:#EEEEEE; 
}



/***
 *** Header
 ***/

.breadcrumb .sep, #admin-report-simpletest-index .sep {
  color:#aaa;
}
.headerskip a:link,
.headerskip a:visited,
.headerskip a:hover {
  color: #FFF;
}

.navigation select {
background-color:#FFFFFF;
}

.navigation optgroup {
  background-color:#EEEEEE;
}

.navigation optgroup option {
background-color:#FFFFFF;
}
#header-home {
background: transparent url(images/hdbg.jpg) 1px 0 repeat-x;
}
#header {
background: transparent url(images/hdbg.jpg) 1px 0 repeat-x;
}

.headermain {
  float: none;
}

.headermenu {
}

.headermidel {
}

/***
 *** Footer
 ***/

/*Accessibility: .debugwarn */
.debugwarn {
  text-align: center;
  background: #FDD;
}

.homelink a:link,
.homelink a:visited,
.homelink a:hover {
  color: #000;
  text-decoration: none;
}

.homelink a:link,
.homelink a:visited {
  background: #dfe9f2;
  border-top: 1px solid #39546B;
  border-bottom: 1px solid #39546B;
  border-left: 1px solid #39546B;
  border-right: 1px solid #39546B;
}
.homelink a:hover {
  background: #c0d3e2;
  border-bottom: 1px solid #39546B;
  border-top: 1px solid #39546B;
  border-right: 1px solid #39546B;
  border-left: 1px solid #39546B;
}


/***
 *** Admin
 ***/
/*
.admin .generalboxcontent {
  background-color:#EEEEEE; 
}
*/
.admin .generalbox {
  border-color:#BBBBBB;
  background-color:#EEEEEE;
}

.admin .informationbox {
  border-color:#BBBBBB; 
  background-color:#FFFFFF; 
}

body#admin-index .c0 {
  background-color: #FAFAFA;
}

body#admin-blocks table#blocks .r0,
body#admin-blocks table#incompatible .r0 {
  background-color: #f0f0f0;
}

body#admin-blocks table#blocks .r1,
body#admin-blocks table#incompatible .r1 {
  background-color: #fafafa;
}

body#admin-blocks table#incompatible td.c0 {
  color: #ff0000;
}

table.flexible  .r0 {
  background-color: #f0f0f0;
}

table.flexible .r1 {
  background-color: #fafafa;
}

#admin-report-simpletest-index span.notice {
  color: teal;
}
 
#admin-report-simpletest-index b.pass {
  color: green;
}
 
#admin-report-simpletest-index b.fail, b.exception {
  color: red;
}
 
#admin-report-simpletest-index .exception, .exception pre {
  background-color: #fdd;
}
 
#admin-report-simpletest-index .unittestsummary {
  color: white;
}
 
#admin-report-simpletest-index .unittestsummary.fail {
  background-color: red;
}
 
#admin-report-simpletest-index .unittestsummary.pass {
  background-color: green;
}
 
#adminsettings fieldset {
    background-color: #EEE;
    border-color: #BBB;
    color: #000;
}
 
#adminsettings .form-shortname {
    color: #888;
}
 
.block_admin_tree.sideblock .link.current {
  background-color:#EEEEEE;
}

#admin-lang .translator {
border-color: #739fc4;
}
#admin-lang .translator tr.r0 {
background-color: #f0f0f0;
}
#admin-lang .translator tr.r1 {
background-color: #fafafa;
}
#admin-lang .translator .strkey {
color: #666666;
}
#admin-lang .translator .bothmissing {
background-color: #ef6868;
}
#admin-lang .translator .mastermissing {
background-color: #feff7f;
}
#admin-lang .translator .localdifferent {
background-color: #aaffaa;
}
/***
 *** Blocks
 ***/

.sideblock .header {
  border-color: #739fc4;
} 
	 
div.sideblock div.header
{
/*	background: transparent url(images/sideblock.jpg) 0  ;*/
	border: none;
/*	padding: 0 0 0 8px;*/
	margin: 0;
	/*height: 29px;*/
}  	   

div.sideblock div.header div.title {
    /*height: 29px;*/
/*	padding: 6px 0 0 0;*/
	margin: 0;
	/*height: 26px;*/
} 
  
		 
.sideblock {
	border: 0px;
/*    border-top: 1px solid #739FC4;
    border-right: 1px solid #739FC4;
    border-bottom: 1px solid #739FC4;
    border-left: 1px solid #739FC4;*/
}		   



.sideblock .content {
  background-color:#FFFFFF;
  border-top: 1px solid #739FC4;
  border-right: 1px solid #739FC4;
  border-bottom: 1px solid #739FC4;
  border-left: 1px solid #739FC4;

}

.sideblock .content hr {
  border-top-color:#999999;
}

#left-column .hidden .header,
#right-column .hidden .header
{
  border-bottom-color: #dddddd;
}

.sideblock .header .hide-show img.hide-show-image {
  background: url('../../pix/t/switch_minus.gif') no-repeat bottom;
}

.sideblock.hidden .header .hide-show img.hide-show-image {
  background: url('../../pix/t/switch_plus.gif') no-repeat bottom;
}
/*
.blockconfigtable {
  background-color:#FFFFFF;
  border-left:1px solid;
  border-right:1px solid;
  border-bottom:1px solid;
  border-color:#AAAAAA;
}
*/

/***
 *** Blogs
 ***/

.blogpost.blogdraft .content {
  background-color:#EEEEEE;
}

.block_blog_tags .official {
  color: #39546B;
}

.block_blog_tags .personal {
  color: #666699;
}


/***
 *** Calendar
 ***/

#calendar .maincalendar,
#calendar .sidecalendar {
  background-color:#FFFFFF;
  border-color:#739FC4;
}

#calendar .maincalendar table.calendarmonth th {
  border-color: #000000;
}

table.minicalendar {
  border-color:#739FC4;
}

#calendar .maincalendar .eventlist .event {
  border-color:#739FC4;
}

#calendar .maincalendar .eventlist .event .topic,
#calendar .maincalendar .eventlist .event .picture,
#calendar .maincalendar .eventlist .event .side {
  background-color:#EEEEEE;
}

#calendar .maincalendar table.calendarmonth ul.events-underway {
  color:#999999;
}

/*Accessibility: increase contrast, darker link/weekend colors, lighter event backgrounds. */
.minicalendar a,
.calendarmonth a {
  color:#000077;
}

#calendar .event_global,
.minicalendar .event_global,
.block_calendar_month .event_global {
  border-color:#D6F8CD !important; /* #C5E7BC */
  background-color:#D6F8CD;
}

#calendar .event_course,
.minicalendar .event_course,
.block_calendar_month .event_course {
  border-color:#FFD3BD !important; /* #EEC2AC */
  background-color:#FFD3BD;
}

#calendar .event_group,
.minicalendar .event_group,
.block_calendar_month .event_group {
  border-color:#FEE7AE !important; /* #EDD69D */
  background-color:#FEE7AE;
}

#calendar .event_user,
.minicalendar .event_user,
.block_calendar_month .event_user {
  border-color:#DCE7EC !important; /* #CBD6DB */
  background-color:#DCE7EC;
}

#calendar .duration_global,
.minicalendar .duration_global {
  border-top-color:#66D14D !important;
  border-bottom-color:#66D14D !important;
}

#calendar .duration_course,
.minicalendar .duration_course {
  border-top-color:#FF9966 !important;
  border-bottom-color:#FF9966 !important;
}

#calendar .duration_group,
.minicalendar .duration_group {
  border-top-color:#FBBB23 !important;
  border-bottom-color:#FBBB23 !important;
}

#calendar .duration_user,
.minicalendar .duration_user {
  border-top-color:#A1BECB !important;
  border-bottom-color:#A1BECB !important;
}

#calendar .weekend,
.minicalendar .weekend {
  color:#990000;
}

#calendar .today,
.minicalendar .today {
  border-color:#444444;
}

.cal_popup_fg {
  background-color:#FFFFFF;
}

.cal_popup_bg {
  border-color:#000000;
  background-color:#FFFFFF;
}

#calendar .maincalendar .filters table,
#calendar .sidecalendar .filters table,
.block_calendar_month .filters table {
  background-color: #ffffff;
}



/***
 *** Course
 ***/

/* course, entry-page, login */
.headingblock {
  border-top: 1px solid #739FC4;
  border-right: 1px solid #739FC4;
  border-bottom: 1px solid #739FC4;
  border-left: 1px solid #739FC4;
}

/* course */
.headingblock .outline {
  border-top: 1px solid #739FC4;
  border-right: 1px solid #739FC4;
  border-bottom: 1px solid #739FC4;
  border-left: 1px solid #739FC4;
}

#course-view .weekscss .section,
#course-view .section td {
  border-color:#bacfe2;
}

/* .content should match the body background, sides are white. */
#course-view .content {
  background: #ffffff;
}

#course-view .weekscss .section,
#course-view .section td.side {
  background: #bacfe2;
}

#course-view .section .side {
}

#course-view .section .left {
}

#course-view .section .right {
}
/*tema actual*/
#course-view .weekscss .current,
#course-view .current td.side {
  background: #739FC4;
}
/* tema oculto*/
#course-view .weekscss .hidden,
#course-view .hidden td.side {
  background: #ECF2F8;
}


#course-view .topics {
}

#course-view .weeks {
}

#course-view .section .spacer {
}

#course-view .section .weekdates {
  color: #777777;
}

#course-view .weekscss .weekdates {
  color: #39546b;
}

.generalbox,
.categoryboxcontent,
.coursebox {
  border-top: 1px solid #739FC4;
  border-right: 1px solid #739FC4;
  border-bottom: 1px solid #739FC4;
  border-left: 1px solid #739FC4;
  background: #FFFFFF;
}
body#course-user .section {
  border-color:#AAAAAA;
  background-color:#ffffff;
}

#admin-report .plugin,
#course-report .plugin,
#course-import .plugin {
  margin-bottom: 20px;
  margin-left:10%;
  margin-right:10%;

  border-bottom: 1px solid #cecece;
  border-top: 1px solid #cecece;
  border-right: 1px solid #cecece;
  border-left: 1px solid #cecece;

  background-color: #fdfdfd;
}


/***
 *** Doc
 ***/

/***
 *** Grades
 ***/

body#grade-index .grades {
  border-color:black;
}

body#grade-index .grades td {
  border-color:#e0e0e0;
}

body#grade-index .grades .r0 {
  background-color: #ffffff;
}

body#grade-index .grades .r1 {
  background-color: #f0f0f0;
}

.grade-report-grader table {
background-color:#ECF2F8;
}
.grade-report-grader table#user-grades td.topleft {
background-color:#f0f0f0;
}


/***
 *** Login
 ***/

.loginbox,
.loginbox.twocolumns .loginpanel,
.loginbox .subcontent {
  border-color:#739FC4;
}


/***
 *** Message
 ***/

table.message_search_results td {
  border-color:#739FC4;
}

.message.other .author {
  color: #032d50;
}

.message.me .author {
  color: #39546b;
}

.message .time {
  color: #739fc4;
}

.message .content {
}

/***
 *** Question
 ***/

.que {
	border-color: #739fc4;
}
.que .r0 {
	background-color: #ECF2F8;
}
.que .r1 {
	background-color: #d8e6f0;
}
.calculated .answer,
.numerical .answer,
.shortanswer .answer,
.truefalse .answer {
	background-color: #EEE;
}
.que .feedback {
  border-color: #739fc4;
}	
.que .incorrect {
    background-color: #faa;
}
.que .partiallycorrect {
    background-color: #ff9;
}
.que .correct {
    background-color: #afa;
}

/***
 *** Logs
 ***/

.logtable .r1 {
  background-color:#D8E5EF;
}


/***
 *** Tabs
 ***/



/***
 *** User
 ***/

.userpicture {
}

.userinfobox {
  border-color:#739FC4;
}
.groupinfobox {
  border-color:#739FC4;
}

/***
 *** Modules: Chat
 ***/
 
#mod-chat-gui_basic .text,
#mod-chat-gui_header_js-jsupdate .text {
  color:#000
}
#mod-chat-gui_basic .event,
#mod-chat-gui_basic .title,
#mod-chat-gui_header_js-jsupdate .event,
#mod-chat-gui_header_js-jsupdate .title {
  color:#032d50;
}

#mod-chat-gui_header_js-chatinput .wait {
  background: #dddddd;
}
#mod-chat-view #chatcurrentusers .idletime {
  color:#032d50;
}
/***
 *** Modules: Choice
 ***/

/***
 *** Modules: Forum
 ***/

.forumheaderlist,
.forumpost {
  border-color:#1D5083;
  background-color:#FFFFFF;
}

.forumpost .content {
  background: #FFFFFF;
}

.forumpost .left {
  background:#739FC4; 
}

.forumpost .topic {
  background:#D0E2EE;
   }

.forumpost .starter {
  background:#739FC4; 
}

.forumheaderlist .discussion .starter {
  background:#ffffff; 
}

.forumheaderlist td {
  border-color: #739FC4;
}

.sideblock .post .head {
  color:#555555;
}

.forumthread .unread {
  background: #78A2CD;
}
#mod-forum-discuss .forumpost {
  background: none;
}

#mod-forum-discuss .unread .forumpost .message {
  border-color: #78A2CD; 
} 
#mod-forum-discuss .forumthread .unread {
} 

#mod-forum-index .unread {
}


/***
 *** Modules: Glossary
 ***/

.entryboxheader {
  border-color: #BBBBBB;
}

.entrybox {
  border-color: #739fc4;
}

.entry {
}

.glossarypost {
  border-color: #739FC4;
}

.glossarypost .entryheader,
.glossarypost .entryapproval,
.glossarypost .picture,
.glossarypost .entryattachment,
.glossarypost .left {
  background-color: #F0F0F0;
}

.glossarycomment {
  border-color: #739FC4;
}

.glossarycomment .entryheader,
.glossarycomment .picture,
.glossarycomment .left {
  background-color: #F0F0F0;

}

#mod-glossary-report .generalbox .teacher {
  background: #F0F0F0;
}

.glossarycategoryheader {
  background-color: #739FC4;
}

.glossaryformatheader {
  background-color: #739FC4;
}


/***
 *** Modules: Journal
 ***/

#mod-journal-view .feedbackbox .left,
#mod-journal-view .feedbackbox .entryheader {
  background-color: #739FC4;
}

/***
 *** Modules: Label
 ***/

/***
 *** Modules: Lesson
 ***/

/***
 *** Modules: Quiz
 ***/

/* body#mod-quiz-report table#attempts td {
  border-color: #dddddd;
}
body#mod-quiz-report table#attempts .r1 {
  background-color: #eeeeee;
}
 */

/***
 *** Modules: Resource
 ***/

.ims-nav-dimmed {
  color: #AAAAAA;
  text-decoration: none;
}

.ims-nav-button a:link,
.ims-nav-button a:visited,
.ims-nav-button a:hover {
  color: #000;
  text-decoration: none;
}

.ims-nav-dimmed,
.ims-nav-button a:link,
.ims-nav-button a:visited {
  border-top: 1px solid #cecece;
  border-bottom: 2px solid #4a4a4a;
  border-left: 1px solid #cecece;
  border-right: 2px solid #4a4a4a;
}

.ims-nav-button a:hover {
  border-bottom: 1px solid #cecece;
  border-top: 2px solid #4a4a4a;
  border-right: 1px solid #cecece;
  border-left: 2px solid #4a4a4a;
}

#ims-contentframe,
#ims-contentframe-no-nav {
  border-color: #cecece;
}


/***
 *** Modules: Scorm
 ***/

/***
 *** Modules: Survey
 ***/

#mod-survey-view .r0 {
  background-color:#EEEEEE;
}
#mod-survey-view .r1 {
  background-color: #DDDDDD;
}


/***
 *** Modules: Wiki
 ***/

/***
 *** Modules: Workshop
 ***/

.workshoppostpicture {
  background-color:#FEE6B9;
}

.workshopassessmentheading {
  background-color:#DDDDDD;
}

.error {
  color:#ff0000;
}

#admin-roles-override .capcurrent {
  background-color:#FFFFFF;
  border: 1px solid #cecece;
}

#admin-roles-manage .capdefault {
  background-color:#dddddd;
  border: 1px solid #cecece;
}
 
#admin-roles-manage .rolecap,
#admin-roles-override .rolecap {
  border:none;
  border-bottom:1px solid;
  border-bottom-color: #cecece;
}
 
#admin-roles-manage .rolecap .cap-desc .cap-name,
#admin-roles-override .rolecap .cap-desc .cap-name {
  color: #888;
}
 
form.mform .required label {
  color:#a00;
}
form.mform .fdescription.required {
  color:#a00;
}
.generalboxcontent {
  background-color:#FFFFFF;
}

.title {
  color:#FFFFFF;
}
.headingblock, h2.headingblock {
  color:#707070;
}
/***** ubcv/styles_color.css end *****/

